---
id: "SimpleCalendar.MoonPhase"
title: "Interface: MoonPhase"
sidebar_label: "MoonPhase"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).MoonPhase

Interface for all information about a moon phase

## Properties

### icon

• **icon**: [`Icons`](../enums/SimpleCalendar.api.Icons.md)

The icon to associate with this moon phase.

___

### length

• **length**: `number`

How many days of the cycle this phase takes up.

___

### name

• **name**: `string`

The name of the phase.

___

### singleDay

• **singleDay**: `boolean`

If this phase should only take place on a single day.
